X2Go Bug report logs - #148
PyHoca-GUI accepts new entries to liberally

Package: python-x2go; Maintainer for python-x2go is X2Go Developers <x2go-dev@lists.x2go.org>; Source for python-x2go is src:python-x2go.

Reported by: Dirk Eddelbuettel <edd@debian.org>

Date: Tue, 19 Mar 2013 10:07:07 UTC

Severity: normal

Tags: confirmed

Merged with 130, 147

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#148; Package pyhoca-gui. (Tue, 19 Mar 2013 10:07:07 GMT) (full text, mbox, link).


Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 19 Mar 2013 10:07:07 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Dirk Eddelbuettel <edd@debian.org>
To: submit@bugs.x2go.org
Subject: PyHoca-GUI accepts new entries to liberally
Package: PyHoca-GUI
Version: 0.4.0.1

As discussed in the recent thread 'PyHoca-GUI 0.4.0.1 created bad config
file' [1], I can create 'bad' files ~/.x2goclient/session essentially by
just alternating between Add and Apply in the Profile Manager.

It seems like you are keying on name being unique. In which case you may
need to test for it. I have not looked at your code (and I am not that
fluent in Python) so this is just a guess.

x2go is a treat.  Thanks for your work on it.

Cheers, Dirk

[1] http://thread.gmane.org/gmane.linux.terminal-server.x2go.user/1146


Merged 147 148 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 19 Mar 2013 10:18:01 GMT) (full text, mbox, link).


Bug reassigned from package 'pyhoca-gui' to 'python-x2go'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 15 Apr 2013 08:48:41 GMT) (full text, mbox, link).


No longer marked as found in versions 0.4.0.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 15 Apr 2013 08:48:41 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 15 Apr 2013 08:48:41 GMT) (full text, mbox, link).


Notification sent to Dirk Eddelbuettel <edd@debian.org>:
Bug acknowledged by developer. (Mon, 15 Apr 2013 08:48:41 GMT) (full text, mbox, link).


Added tag(s) confirmed. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 15 Apr 2013 08:50:05 GMT) (full text, mbox, link).


Merged 130 147 148 Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 15 Apr 2013 08:50:05 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 14 May 2013 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Dec 7 21:49:30 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.